# mapview.py

from qt import *
from qtcanvas import *

class MapView(QCanvasView):
    def __init__(self, clicked, *args):
        QCanvasView.__init__(self, *args)
        self.clicked_func = clicked
        self.cx = 0
        self.cy = 0
        self.drag = True
    def contentsMousePressEvent(self, e):
        self.cx = e.x()
        self.cy = e.y()
    def contentsMouseReleaseEvent(self, e):
        if not self.drag:
            self.clicked_func(e)
            self.drag = True
    def contentsMouseMoveEvent(self, e):
        dx = self.cx - e.x()
        dy = self.cy - e.y()
        if self.drag:
            self.scrollBy(dx, dy)

    def dragOff(self):
        self.drag = False

    def dragOn(self):
        self.drag = True

# end of mapview.py
