# pointsdialog.py
from qt import *

class PointsDialog(QDialog):
    def __init__(self, lst, editable=True, parent = None, name = None):
        QDialog.__init__(self,parent,name,1)

        if not name:
            self.setName("PointsDialog")

        layout = QHBoxLayout(self,5,5,"layout")

        self.label = QLabel(self,"label")
        self.label.setSizePolicy(QSizePolicy(1,5,self.label.sizePolicy().hasHeightForWidth()))
        layout.addWidget(self.label)

        self.combo = QComboBox(self,"combo")
        self.combo.setEditable(editable)
        for item in lst:
            self.combo.insertItem(QString().fromUtf8(item))
        if editable:
            self.combo.setCurrentItem(-1)
        layout.addWidget(self.combo)
        self.setCaption(self.tr("Info"))
        self.label.setText(self.tr("Point:"))

    def selected(self):
        return str(self.combo.currentText().utf8())

# end of pointsdialog.py
